gnutls_pkcs12_bag_set_data(3)

NAME
gnutls_pkcs12_bag_set_data - This function inserts data into the bag

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_set_data(gnutls_pkcs12_bag_t bag, gnutls_pkcs12_bag_type_t type, const gnutls_datum_t * data);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

gnutls_pkcs12_bag_type_t type
    The data's type

const gnutls_datum_t * data
    the data to be copied.

DESCRIPTION
This function will insert the given data of the given type into the bag.

Returns the index of the added bag on success, or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.